TIMETREE_INFERENCE(1)

NAME
timetree_inference - Reconstructs ancestral sequences and infers a molecular clock tree

SYNOPSIS
timetree_inference [-h] --aln ALN --tree TREE --dates DATES [--infer_gtr] [--reroot REROOT] [--resolve_polytomies] [--relax [RELAX [RELAX ...]]] [--max_iter MAX_ITER] [--verbose VERBOSE] [--Tc TC] [--plot]

DESCRIPTION
Reconstructs ancestral sequences and infers a molecular clock tree. The output consists of a file ending with _ancestral.fasta with ancestral sequences and a tree ending with _mutation.newick with mutations appended to node names as _A45G_.... The branches of this tree are scaled such that branch length correspond to times in units of the molecular clock. The molecular clock, along with the inferred GTR model, is written to stdout

OPTIONS

-h, --help
    show this help message and exit

--aln ALN
    fasta file with input sequences

--tree TREE
    newick file with tree

--dates DATES
    csv with dates for nodes with 'node_name, date' where date is float (as in 2012.15)

--infer_gtr
    infer substitution model

--reroot REROOT
    reroot the tree. Valid arguments are 'best', 'midpoint', or a node name

--resolve_polytomies
    resolve polytomies using temporal information.

--relax [RELAX [RELAX ...]]
    use an autocorrelated molecular clock. Prior strength and coupling of parent and offspring rates can be specified e.g. as --relax 1.0 0.5

--max_iter MAX_ITER
    maximal number of iterations the inference cycle is run

--verbose VERBOSE
    verbosity of output 0-6

--Tc TC
    coalescent time scale -- sensible values are on the order of the average hamming distance of contemporaneous sequences

--plot
    plot the tree on a time axis

AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.